import java.util.Scanner; 

public class SubtractionQuiz {
  public static void main(String[] args) {
    // 1. Generowanie dwóch losowych jednocyfrowych liczb całkowitych 
    int number1 = (int)(Math.random() * 10);
    int number2 = (int)(Math.random() * 10);

    // 2. Jeśli number1 < number2, przestawianie wartości zmiennych number1 i number2
    if (number1 < number2) {
      int temp = number1;
      number1 = number2;
      number2 = temp;
    }

    // 3. Wyświetlanie uczniowi prośby o odpowiedź na pytanie "Ile wynosi number1 – number2?"
    System.out.print
      ("Ile wynosi " + number1 + " - " + number2 + "? ");
    Scanner input = new Scanner(System.in);
    int answer = input.nextInt();

    // 4. Sprawdzanie odpowiedzi i wyświetlanie informacji o jej poprawności
    if (number1 - number2 == answer)
      System.out.println("Dobrze!");
    else {
      System.out.println("Błędna odpowiedź.");
      System.out.println(number1 + " - " + number2 + 
        " równa się " + (number1 - number2)); 
    }
  }
}
